#!/bin/sh 
#exec 1>/tmp/tracking.log 2>&1

PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
export PATH

setpid() {
    PID=`/bin/ps awwux | /usr/bin/grep tracking.pl | /usr/bin/grep -v grep | /usr/bin/grep -v mg | /usr/bin/awk '{print $2}'`
    export PID
}

rc_start() {
    setpid
    if [ -n "$PID" ]; then
        echo "Tracking already running";
    else
        /usr/local/gmnbin/tracking.pl  &
    fi
}

rc_stop() {
   setpid
   if [ -n "$PID" ] ; then
   	kill -KILL $PID;
   fi
}

case $1 in
        start)
                rc_start
                ;;
        stop)
                rc_stop
                ;;
        restart)
                rc_stop
                rc_start
                ;;
esac
