#!/usr/local/bin/php -f
<?php
require_once("functions.inc");
global $g, $config;

$sessionid = $argv[1];
$logoutReason = $argv[2];
$term_cause = $argv[3];

if ( $argc != 4 ||  $sessionid == "" || logoutReason == "" || $term_cause == "" ) 
    exit;

echo "$sessionid $logoutReason $term_cause";

$cplock = lock('captiveportal');
    
/* read database */
$cpdb = captiveportal_read_db();
       
$radiusservers = captiveportal_get_radius_servers();
    
/* find entry */
for ($i = 0; $i < count($cpdb); $i++) {
    if ($cpdb[$i][5] == $sessionid) {
        captiveportal_disconnect($cpdb[$i],$radiusservers, $term_cause);
        captiveportal_logportalauth($cpdb[$i][4],$cpdb[$i][3],$cpdb[$i][2],$logoutReason);
        unset($cpdb[$i]);
        break;
    }
}
    
/* write database */
captiveportal_write_db($cpdb);
   
unlock($cplock);

?>

