#!/usr/bin/perl
#
# compute cog and sog
# 

use File::Basename;

my $path=dirname($0);
require "$path/tracking.pm";

use strict;

sub usage()
{
    print "cogsog.pl utime lat lon\n";
    exit;
}

usage() if ( @ARGV < 3 );

my $utime = $ARGV[0];
my $lat = $ARGV[1];
my $lon = $ARGV[2];

my ($course, $speed) = do_cogsog($utime,$lat,$lon);
print "$course,$speed\n";
