#!/bin/sh

startntpd=$1
NOTSYNCED="true"
SERVER=`cat /cf/conf/config.xml | grep timeservers | cut -d">" -f2 | cut -d"<" -f1`

guard=60
while [ "$NOTSYNCED" = "true" -a $guard -ne 0 ]; do
	guard=`expr $guard - 1`
	ntpdate -t 10 $SERVER
	if [ "$?" = "0" ]; then
		NOTSYNCED="false"
	fi
	sleep 10
done

# Launch -- we have net.
killall ntpd 2>/dev/null
sleep 1
if [ "$startntpd" = "startntpd" ]; then
    echo -n "Starting NTP daemon..."
    /usr/local/sbin/ntpd -s -f /var/etc/ntpd.conf
    echo "Done."
fi
